<?php
$id =isset($_GET['ch'])? $_GET['ch'] :(isset($_GET['id'])? $_GET['id'] : ''); 
//if(empty($id)) exit;
// 设置图像宽度和高度
$width = 210;
$height = 210;
//显示的文字
$text =empty($id) ? "视" : $id ;
$text =mb_substr( $text, 0, 1, 'utf-8');
//echo $text;
//exit;
//字体大小
$font_size=128;
//字体文件引入
$font_path="../assets/fonts/W7(P).TTF";
//建立一张图片，设置宽高
$image = imagecreatetruecolor($width,$height);
//设置图片透明背景
$bg = imagecolorallocatealpha($image,0,0,0,127);
//设置字体颜色
$color = imagecolorallocate($image,255,255,255); 
//显示透明背景
imagealphablending($image, false);
//填充背景
imagefill($image,0,0,$bg);

// 计算文本宽度和高度
$box = imagettfbbox($font_size, 0, $font_path, $text);
$text_width = $box[2] - $box[0];
$text_height = $box[7] - $box[1];

// 设置文本位置
$x = ($width - $text_width) / 2;
$y = ($height - $text_height) / 2;
// 将文本写入图像
imagettftext($image, $font_size, 0, $x-2, $y-8, $color, $font_path, $text);

imagesavealpha($image,true);
//头信息
header('Content-Type: image/png');
//输出图片，输出png使用imagepng方法，输出gif使用imagegif方法
imagepng($image);
// 释放图像资源
imagedestroy($image);
?>
